API version
v2
Request method
DELETE
Operation ID
container-delete-stack
Deletes the Stack including all of its Services and Volumes. The data stored in the Stack's Volumes is deleted permanently. Files in the project file system that are bind-mounted into Services are not affected. To keep a Volume's data, back it up before deleting the Stack.
Request
Responses
Usage examples
$ curl \
--fail \
--location \
-X DELETE \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/stacks/f0f86186-0a5a-45b2-aa33-502777496347
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";
const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.container.deleteStack({
"stackId": "f0f86186-0a5a-45b2-aa33-502777496347"
});
assertStatus(response, 204);
use \Mittwald\ApiClient\Generated\V2\Clients\Container\DeleteStack\DeleteStackRequest;
$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));
$request = (new DeleteStackRequest(
stackId: "f0f86186-0a5a-45b2-aa33-502777496347"
));
$response = $client->container()->deleteStack($request);
var_dump($response->getBody();